Download it now!
Bug 89927 - FILEOPEN: text is black instead of white in .PPTX file and it appears to be missing
Summary: FILEOPEN: text is black instead of white in .PPTX file and it appears to be m...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: Other All
: medium normal
Assignee: Matus Uzak
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-10 10:18 UTC by Andrei Cristian Petcu
Modified: 2018-09-03 22:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
No text next to picture (3.23 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-10 10:18 UTC, Andrei Cristian Petcu
Details
Text present in Microsoft Office (355.04 KB, image/png)
2015-03-10 10:23 UTC, Andrei Cristian Petcu
Details
Text missing in Libre Office (278.36 KB, image/png)
2015-03-10 10:25 UTC, Andrei Cristian Petcu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Cristian Petcu 2015-03-10 10:18:59 UTC
Created attachment 114008 [details]
No text next to picture

Some text is missing from a presentation. Please check attatchments.
Comment 1 Andrei Cristian Petcu 2015-03-10 10:23:52 UTC
Created attachment 114009 [details]
Text present in Microsoft Office
Comment 2 Andrei Cristian Petcu 2015-03-10 10:25:16 UTC
Created attachment 114010 [details]
Text missing in Libre Office
Comment 3 A (Andy) 2015-03-11 22:00:30 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 4 Xisco Faulí 2015-09-04 10:50:25 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 5 Commit Notification 2016-03-10 10:22:37 UTC
Matus Uzak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6802f760a69f3b1f203d70399f0d73764f9159d5

tdf#89927: PPTX import: Incorrect inheritance of text run fill properties

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Luke 2018-09-03 22:36:27 UTC
The fix for this bug breaks WordArt with Gradient Fill, Bug 104217, and WordArt with Pattern Fill, Bug 119674.